## org.apache.fop.svg
Class SVGStringProperty

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.svg.SVGStringProperty

public class SVGStringProperty
extends Property

a class representing all the length properties in SVG

Inner Class Summary
`static class` `SVGStringProperty.Maker` inner class for making SVG Length objects.

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Field Summary
`protected java.lang.String` `value` the length as a Length object

Constructor Summary
`protected` `SVGStringProperty(PropertyList propertyList, java.lang.String explicitValue)` construct an SVG length (called by the Maker).

Method Summary
`java.lang.String` `getString()` get the length
`static Property.Maker` `maker()` returns the maker for this object.

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getColorType, getCondLength, getEnum, getKeep, getLength, getLengthRange, getNCname, getNumber, getNumeric, getObject, getSpace, getSpecifiedValue, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

  the length as a Length object

Constructor Detail

### SVGStringProperty

    protected SVGStringProperty(PropertyList propertyList,
                                java.lang.String explicitValue)

  construct an SVG length (called by the Maker).
  Parameters:
    `propertyList` - the property list this is a member of
    `explicitValue` - the explicit value as a Length object

Method Detail

### maker

    public static Property.Maker maker()

  returns the maker for this object.
  Returns:
    the maker for SVG Length objects

### getString

    public java.lang.String getString()

  get the length
  Overrides:
    getString in class Property
  Returns:
    the length as a Length object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.